Abuse Reports

abuse_reports

Methods

Submit An Abuse Report -> Envelope<string>
post/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

Abuse Report Details -> Envelope<{ id, cdate, domain, 7 more... }>
get/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

List Abuse Reports -> V4PagePagination<{ reports }>
get/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Trust and Safety Write Trust and Safety Read

path Parameters
account_id: string
(maxLength: 32)
query Parameters
created_after: string
Optional

Returns reports created after the specified date

created_before: string
Optional

Returns reports created before the specified date

domain: string
Optional

Filter by domain name related to the abuse report

mitigation_status:
Optional

Filter reports that have any mitigations in the given status.

"pending"
"active"
"in_review"
"cancelled"
"removed"
page: number
Optional

Where in pagination to start listing abuse reports

per_page: number
Optional

How many abuse reports per page to list

sort: string
Optional

A property to sort by, followed by the order (id, cdate, domain, type, status)

status:
Optional

Filter by the status of the report.

"accepted"
"in_review"
type:
Optional

Filter by the type of the report.

"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
Response fields
success: boolean
errors: Array<{ message }>
Optional
messages: Array<{ message }>
Optional
result: { reports }
Optional
result_info: { count, page, per_page, 2 more... }
Optional
Request example
200Example
Abuse Reports

Mitigations

abuse_reports.mitigations

Methods

List Abuse Report Mitigations -> V4PagePagination<{ mitigations }>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

Request Review On Mitigations -> SinglePage<{ id, effective_date, entity_id, 3 more... }>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.